Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047655
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Coremajoralways2021-09-08 14:592021-09-21 09:10
ReporterjmelinView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047655: JIRA 2305 - Update database in background - Info message appears several times

DescriptionAfter a first logging and logout, depending of the incremental refresh, you can the message linked to "incremental Request RefreshMasterdata" that pop several times
Steps To ReproduceConnect to livebuild tap2

Switch to "White valley group admin"

Open "Touchpoint type" window and look for "POS2SD VBS POS2 Terminal Type"

Update "Time to Incrementally Refresh Masterdata (in minutes)" to 1
Update "Time to force masterdata refresh on inactivity (in minutes)" to 1

(note: may not be realistic value, but help to reproduce faster)

Connect to POS VBS-2
- Log in with vallblanca user
- Log out
- Wait several minutes without closing the browser
- Log in
=> you will see the messages pop several times (as many as minutes you log out)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047662TAP closedprakashmurugesan88 JIRA 2305 - Update database in background - Info message appears several times 
related to defect 0047719 scheduledjarmendariz Background incremental Masterdata refresh should not be executed when logged out 

-  Notes
(0131889)
hgbot (developer)
2021-09-17 08:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/631 [^]
(0131940)
hgbot (developer)
2021-09-21 09:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: fae1d01733d3a6c60bbda36aba40b0c9f0c2b937
Author: Prakash M <prakash@qualiantech.com>
Date: 2021-09-20T22:21:08+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/fae1d01733d3a6c60bbda36aba40b0c9f0c2b937 [^]

Fixed BUG-47655: Fixes RefreshMasterdata Info message appears several times
* Skipped adding notification if the message already exists

---
M web-jspack/org.openbravo.core2/src/core/masterdata/MasterdataRefresh.js
---
(0131941)
hgbot (developer)
2021-09-21 09:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/631 [^]

- Issue History
Date Modified Username Field Change
2021-09-08 14:59 jmelin New Issue
2021-09-08 14:59 jmelin Assigned To => Retail
2021-09-08 14:59 jmelin Triggers an Emergency Pack => No
2021-09-08 15:00 jmelin Priority normal => high
2021-09-08 15:00 jmelin Summary JIRA 2305 - => JIRA 2305 - Update database in background - Info message appears several times
2021-09-09 11:17 dmiguelez Assigned To Retail => platform
2021-09-09 11:17 dmiguelez Status new => acknowledged
2021-09-09 11:17 dmiguelez Status acknowledged => scheduled
2021-09-09 11:17 dmiguelez Status scheduled => acknowledged
2021-09-15 13:22 guilleaer Status acknowledged => scheduled
2021-09-15 13:22 guilleaer Assigned To platform => prakashmurugesan88
2021-09-17 08:25 hgbot Note Added: 0131889
2021-09-20 13:04 jarmendariz Relationship added related to 0047719
2021-09-21 09:10 hgbot Resolution open => fixed
2021-09-21 09:10 hgbot Status scheduled => closed
2021-09-21 09:10 hgbot Note Added: 0131940
2021-09-21 09:10 hgbot Note Added: 0131941


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker